Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.jsi
Interface JSIHandler

All Known Implementing Classes:
  JSIHandlerRoot

public interface JSIHandler

Interface for objects that can handle JSI messages.

Method Summary
`void` | `getSuites(JSIMessage jm)` Add any suites for this handler to the given message.
`void` | `handleMessage(JSIHandlerContext jhc, JSIMessage jm)` Process the given message.
`JSIHandler` | `resolveSpecifier(JSIMessage jm, JSIPair jp)` Resolve the next specifier on the stack.

Method Detail

### resolveSpecifier

    public JSIHandler resolveSpecifier(JSIMessage jm,
                                       JSIPair jp)
                                throws java.lang.Throwable

  Resolve the next specifier on the stack.
  Parameters:
    `jm` - The JSI message to route.
    `jp` - The specifier pair currently being resolved.
  Returns:
    The Object that can handle the given message or null if there is none.

### handleMessage

    public void handleMessage(JSIHandlerContext jhc,
                              JSIMessage jm)
                       throws java.lang.Throwable

  Process the given message.
  Parameters:
    `jhc` - The context in which to send/process interim messages.
    `jm` - The received message. When processing is done the message should be cleared and any reply data placed inside it.
  Throws:
    The - handler can throw any of a number of exceptions/erros.

### getSuites

    public void getSuites(JSIMessage jm)

  Add any suites for this handler to the given message.
  Parameters:
    `jm` - The message containing all supported suites.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002